/*
 *  compare.c - comparing functions
 *  Copyright (c)2002 - 2004 Andrej  OM1CW
 *  Copyright (c)2005 Mike Karas OM4AA <mike.om4aa@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef COMPARE_H
#define COMPARE_H

#include "osdep.h"
#include "main.h"
#include "debug.h"

int compare_fcn2(const void *arg1, const void *arg2);
int compare_fcn3(const void *arg1, const void *arg2);
/*static inline uint8_t compare_calls(char *call1, char *call2);
static inline uint8_t compare_locs(uint32_t loc1, uint32_t loc2);
static inline uint8_t compare_calls2(char *call1, char *call2);*/
FILE *open_repfile(uint8_t band, int append);
void close_repfile(FILE *fd);
void make_loc_cmp(uint8_t band);
void make_call_cmp(uint8_t band);
int compare_fcn(const void *arg1, const void *arg2);
int compare_claimed_fcn(const void *arg1, const void *arg2);


uint8_t compare_calls(char *call1, char *call2);
uint8_t compare_locs(uint32_t loc1, uint32_t loc2);
uint8_t compare_calls2(char *call1, char *call2);
int levenshtein(const char *s, const char *t);

#endif /* COMPARE_H */
