#!/bin/bash

DIPLOMPATH="diplom"
ls $DIPLOMPATH/*.xml | while read xml ;do

    if [ -f /etc/passwd ]; then
        # unix
        jpg=${xml/\.xml$/\.jpg/}
        pdf=${xml/\.xml$/\.pdf/}
        
        echo "$jpg"
        mono napis.exe "$xml"

        echo "$pdf"
        convert "$jpg" "$pdf"
    else    
        # cygwin     
        xml=${xml/\//\\}
        jpg=${xml/\.xml/\.jpg}
        pdf=${xml/\.xml/\.pdf}
     

        echo "$jpg"
        ./napis.exe "$xml"

        echo "$pdf"
        ./convert.exe "$jpg" "$pdf"
    fi
done
